## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ReusableArenaBlock::NextBlock Struct Template Reference

`#include <ReusableArenaBlock.hpp>`

List of all members.

## Public Types

- enum { VALID_OBJECT_STAMP = 0xffddffdd }

## Public Methods

- NextBlock (size_type _next)
- bool isValidFor (size_type rightBorder) const

## Static Public Methods

- NextBlock* cast (void *thePointer)
- const NextBlock* cast (const void *thePointer)

## Public Attributes

- size_type next
- const int verificationStamp

### template<class ObjectType, class SizeType = unsigned short> struct ReusableArenaBlock::NextBlock

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  VALID_OBJECT_STAMP |

## Constructor & Destructor Documentation

ReusableArenaBlock::NextBlock::NextBlock ( | size_type _next )

## Member Function Documentation

const NextBlock * ReusableArenaBlock::NextBlock::cast ( | const void * thePointer )`[static]`

NextBlock * ReusableArenaBlock::NextBlock::cast ( | void * thePointer )`[static]`

bool ReusableArenaBlock::NextBlock::isValidFor ( | size_type rightBorder ) const

## Member Data Documentation

size_type ReusableArenaBlock::NextBlock::next

const int ReusableArenaBlock::NextBlock::verificationStamp

The documentation for this struct was generated from the following file:

- ReusableArenaBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.